package com.ai.da.mapper.primary;

import com.ai.da.mapper.primary.entity.Affiliate;
import com.ai.da.model.vo.AffiliateVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

public interface AffiliateMapper extends BaseMapper<Affiliate> {

    Map<String, Long> getMonthlyApprovedAffiliate(int year, int month);

    List<AffiliateVO> getAffiliateList(String status, String startTime, String endTime,
                                       String order, Long affiliateId, String sortField, int size, int offset);

    int queryAffiliateTotalCount(String status, String startTime, String endTime, Long affiliateId);

    List<Map<String, Object>> selectAllAffiliateUsername();

}
